| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Macros | Enumerations | Functions
BSC profile page 4
Bicycle Speed and Cadence profile pages

## Data Structures
struct | ant_bsc_page4_data_t
| Data structure for BSC data page 4. More...

## Macros
#define | DEFAULT_ANT_BSC_PAGE4()
| Initialize page 4. More...

## Enumerations
enum | ant_bsc_bat_status_t { RESERVED0 = 0, BSC_BAT_STATUS_NEW = 1, BSC_BAT_STATUS_GOOD = 2, BSC_BAT_STATUS_OK = 3, BSC_BAT_STATUS_LOW = 4, BSC_BAT_STATUS_CRITICAL = 5, RESERVED1 = 6, BSC_BAT_STATUS_INVALID = 7 }
| BSC profile battery status. More...

## Functions
void | ant_bsc_page_4_encode (uint8_t *p_page_buffer, ant_bsc_page4_data_t const *p_page_data)
| Function for encoding page 4. More...
void | ant_bsc_page_4_decode (uint8_t const *p_page_buffer, ant_bsc_page4_data_t *p_page_data)
| Function for decoding page 4. More...

## Detailed Description

## Macro Definition Documentation

#define DEFAULT_ANT_BSC_PAGE4 | ( |  | ) |

Value:
(ant_bsc_page4_data_t) \
{ \
.fract_bat_volt = 0, \
.coarse_bat_volt = 0, \
.bat_status = BSC_BAT_STATUS_INVALID \
}

Initialize page 4.

## Enumeration Type Documentation

enum ant_bsc_bat_status_t

BSC profile battery status.

This enum represents possible battery status values for the ANT BSC profile.

Enumerator
RESERVED0 | Reserved.
BSC_BAT_STATUS_NEW | Battery status: new.
BSC_BAT_STATUS_GOOD | Battery status: good.
BSC_BAT_STATUS_OK | Battery status: ok.
BSC_BAT_STATUS_LOW | Battery status: low.
BSC_BAT_STATUS_CRITICAL | Battery status: critical.
RESERVED1 | Reserved.
BSC_BAT_STATUS_INVALID | Invalid battery status.

## Function Documentation

void ant_bsc_page_4_decode | ( | uint8_t const * | p_page_buffer,
|  | ant_bsc_page4_data_t * | p_page_data
| ) |  |

Function for decoding page 4.

Parameters

  [in] | p_page_buffer | Pointer to the data buffer.
  [out] | p_page_data | Pointer to the page data.

void ant_bsc_page_4_encode | ( | uint8_t * | p_page_buffer,
|  | ant_bsc_page4_data_t const * | p_page_data
| ) |  |

Function for encoding page 4.

Parameters

  [in] | p_page_data | Pointer to the page data.
  [out] | p_page_buffer | Pointer to the data buffer.